Subject: Re: rent
From: "Mike" <[email-masked]>
To: "Dalene Flintz" <[email-masked]>
Date: Mon, 22 Nov 2010 09:41:44 -0500

Miranda must have forgotten because she walked right past me at least twice while I was talking to Dakota.  I also spoke with Jamin while getting coffee but he didn't say anything about it.  I would have asked her had I known.  Oh well.  I am at work all day.  I do have a couple of errands that I will be doing today so just call before to make sure I am available.  I also will be sending over a separate email later on.  I will need you to read it and sign it that you have read it.
Thank you,
Michael Bishop
[email-masked] 
  ----- Original Message ----- 
  From: Dalene Flintz 
  To: Mike 
  Sent: Monday, November 22, 2010 9:25 AM
  Subject: rent

  Sorry I missed you!!! I ended up working all day Friday I usually only work till noon. Cristal had surgery, I wasn't at church yesterday but Myranda had the money here for you , she said she didn't see you. I figured I usually see you in the cafe and so she could catch you there, can I bring it today??